For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Trebellar Platform
DocsGuidesAPI Reference
DocsGuidesAPI Reference
  • API Reference
    • Introduction
  • API Resources
      • GETList Assets with Filtering
      • POSTCreate New Asset
      • GETGet Asset by ID
      • POSTBulk Asset Operations
      • POSTBulk Seat Assignments by People Group
      • GETList Asset Tags
      • POSTAdd Asset Tag
      • PUTUpdate Asset Tag
      • DELDelete Asset Tag
      • POSTBind Asset Tags
      • POSTUnbind Asset Tags
      • GETList all Location Definitions
      • POSTAdd Location Definitions
      • PUTUpdate Location Definitions
      • DELDelete Location Definitions
Trebellar Platform
LogoLogo
API ResourcesAssets

Bulk Seat Assignments by People Group

||View as Markdown|
POST
https://api.trebellar.app/api/v2/assets/seat-assignments/bulk
POST
/api/v2/assets/seat-assignments/bulk
1import { TrebellarApiClient } from "@trebellar/api-sdk";
2
3async function main() {
4 const client = new TrebellarApiClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.assets.bulkSeatAssignments({
8 assignments: [
9 {
10 id: "eid:sfo-001",
11 peopleGroupId: "string",
12 seatsAssigned: {
13 shared: 1,
14 dedicated: 1,
15 },
16 },
17 ],
18 });
19}
20main();
1{
2 "success": true,
3 "updatedCount": 1
4}
Set shared and dedicated seat assignment counts by people group for one or more assets in a single batch request.
Was this page helpful?
Previous

Bulk Asset Operations

Next

List Asset Tags

Built with

Authentication

X-Trebellar-Api-Keystring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
assignmentslist of objectsRequired
timestampMsdoubleOptional

Response

Seat assignments updated successfully
successboolean
updatedCountinteger0-9007199254740991

Errors

400
Bad Request Error
500
Internal Server Error